<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectCustomFieldRef StructType
 * @subpackage Structs
 */
class SelectCustomFieldRef extends CustomFieldRef
{
    /**
     * The value
     * @var \StructType\ListOrRecordRef
     */
    public $value;
    /**
     * Constructor method for SelectCustomFieldRef
     * @uses SelectCustomFieldRef::setValue()
     * @param \StructType\ListOrRecordRef $value
     */
    public function __construct(\StructType\ListOrRecordRef $value = null)
    {
        $this
            ->setValue($value);
    }
    /**
     * Get value value
     * @return \StructType\ListOrRecordRef|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param \StructType\ListOrRecordRef $value
     * @return \StructType\SelectCustomFieldRef
     */
    public function setValue(\StructType\ListOrRecordRef $value = null)
    {
        $this->value = $value;
        return $this;
    }
}
